# Dr. Charles Reid

**Email:** <charles@charlesreid1.com>

**Website:** <https://charlesreid1.com>

**Resume:** <https://git.charlesreid1.com/charlesreid1/resume>

**Github:** <https://github.com/charlesreid1>
 
## Personal Statement
 
Data engineer with experience building bioinformatics data pipelines for cloud systems. Comprehensive understanding of data engineering infrastructure, including networking, security, scalability, tools, and services. Teaching experience in mathematics and computer science; experience with industrial data engineering and computational combustion from chemical engineer position at fast-growing oil \& gas startup (Siluria Technologies) and national lab engineering postdoc (Lawrence Livermore National Laboratory).

## Key Abilities

Excellent analysis, problem solving, communication, and writing abilities.

Seeks out challenging problems and iterates rapidly towards better solutions.

Breaks down complex issues to their essential components, extracting insight.

## Skills

* **Unix Command Line Tools:** git, vim, bash (expert); comfortable with grep, sed, awk, regular expressions

* **Languages:** Python (primary language), SQL, shell scripting, Javascript, Java

* **Databases:** BigQuery, SQL (MySQL, Postgresql, sqliite), NoSQL (MongoDB, redis)

* **Cloud Platforms:** AWS, Google Cloud, automated infrastructure deployment, scaling

* **Data Engineering:** Docker, Kubernetes, Spark, Beam, Kafka, OAuth

* **APIs:** use of Github/Google/AWS/Twitter APIs, deployment of API servers

* **Software Engineering:** utilize object-oriented programming, test-driven development, and continuous integration

* **Project Management Infrastructure:** Expertise building, deploying, and maintaining static and dynamic web pages to support project management infrastructure; experience with Heroku and Github Pages; Linux DevOps experience
    
* **Professional Certifications:** Google Cloud Certified Data Engineer (2017)

## Work Experience

### Data Engineer, Lab for Data Intensive Biology, UC Davis (February 2018-Present)

* Built a search engine tool (centillion) to index Google Drive documents, Github issues, email threads, and other project material <https://github.com/dcppc/centillion>
* Built and maintained testing infrastructure to run continuous integration tests on Github pull requests <https://github.com/dcppc/uncle-archie>
* Contributed over 700 issues and pull requests during 6-month period (Phase 1) <https://github.com/dcppc/contributions>
* Supported development of bioinformatics data and computation pipelines for cloud/HPC platforms <https://github.com/dahak-metagenomics/dahak>

### Industrial Data Engineering Consultant, Self-Employed (August 2017-Present)

* Advised clients on migrating data/computational infrastructure to the cloud and scaling up
* Planned, executed, automated, and maintained cloud infrastructure for clients
* Handled cloud architecture, cloud networking, and security testing for both proprietary and encrypted data

### Computer Science \& Mathematics Instructor, South Seattle College (September 2015 - July 2017)

* Taught data structures and algorithms (Java) to students in West Seattle preparing to apply as transfer students to the University of Washington
* Incorporated computational tools and assignments into calculus classes
* Provided undecided STEM students with advice about career paths, explanations of different branches of engineering and science, and captivating applications of mathematics, programming, and engineering
* Mentored students on NSF-funded undergraduate research projects on wireless sensor networks (Docker, NoSQL, wireless sensors, networking technologies), cybersecurity, and facial recognition with neural networks

### Chemical Engineering Consultant, Siluria Technologies (April 2015 - September 2015)

### Chemical Engineer, Siluria Technologies (April 2013 - April 2015)

* Automated data collection and analysis workflows with Python and SQL databases to improve turnaround time for pilot scale ethylene-to-gasoline reactor from 3 weeks to 24 hours
* Built Python scripts to control laboratory equipment and automate experiments
* Participated in design \& assembly of sensor network and data acquisition system for pilot scale carbon dioxide separation unit
* Informed critical operational and safety decisions with statistical analysis of thousands of autoignition simulations
* Improved reactor scale-up correlations by over 50% through side project with colleague

### Engineering Postdoctoral Researcher, Lawrence Livermore National Laboratory (October 2011 - April 2013)

* Applied pobabilistic methods for black box model validation of UCG (underground coal gasification)
* Analyzed geological data to inform site selection for Eurasian UCG project
* Ran composite grid wind flow simulations for wind farm optimization project

## Education

### University of Utah. Ph.D., Chemical Engineering, 2011.

* Dissertation topic: statistical model reduction and quantitative model evaluation, multiphase turbulent combustion, massively parallel simulations, coal gasification.
* Final dissertation parameter study utilized 13,000,000 CPU-hours on the Hopper supercomputer at NERSC.
* Awarded College of Engineering's Outstanding TA Award (2010).

### University of Arizona. B.S., Chemical Engineering, 2007.

* Awarded Department of Chemical Engineering's Best Senior Design Project Award (2007).

